<?php

/**
 * sub_cen_cos_short actions.
 *
 * @package    contab2
 * @subpackage sub_cen_cos_short
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class sub_cen_cos_shortActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
    public function executeList(sfWebRequest $request) {

        $records = CN_TABLE::getAll('CN_SUB_CLASE_CUENTA');

        $res = array();

        foreach ($records as $record) {

            $datos = array(
                'id_sub_centro_costo' => $record['id_sub_centro_costo'],
                'nom_corto' => $record['nom_corto']
            );

            $res[] = $datos;
        }

        $this->list_data = $res;
    }
}
